Build:
  1. 0
2021-11-25 10:25.34: New job: Build using linux-arm64 in
                                []

OBuilder spec:

((from ocaml/opam:debian-10-ocaml-4.13)
 (user (uid 1000) (gid 1000))
 (workdir /home/opam)
 (run (shell "sudo chown opam:opam /home/opam"))
 (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam update"))
 (run (network host)
      (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#03fce0486d9ff1899862edf5b75cbc44adc38393"))
 (run (network host)
      (shell "opam repo add overlays https://github.com/mirage/opam-overlays.git#f033f8b770097e768cc974cc407e0cd6d7889d63"))
 (run (network host)
      (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#38f1101abd4c7bcd50f0fa0433495e38e383d093"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "opam install -y ocaml-freestanding"))
 (run (cache (download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "opam install -y dune opam-monorepo"))
 (workdir /src)
 (run (shell "sudo chown opam:opam /src"))
 (run (shell  "echo 'opam-version: \"2.0\"\
             \nsynopsis: \"opam-monorepo generated lockfile\"\
             \nmaintainer: \"opam-monorepo\"\
             \ndepends: [\
             \n  \"angstrom\" {= \"0.15.0\"}\
             \n  \"base\" {= \"v0.14.2\"}\
             \n  \"base-bigarray\" {= \"base\"}\
             \n  \"base-bytes\" {= \"base\"}\
             \n  \"base-threads\" {= \"base\"}\
             \n  \"base-unix\" {= \"base\"}\
             \n  \"bigarray-compat\" {= \"1.0.0\"}\
             \n  \"bigstringaf\" {= \"0.8.0\"}\
             \n  \"conf-pkg-config\" {= \"2\"}\
             \n  \"csexp\" {= \"1.5.1\"}\
             \n  \"cstruct\" {= \"6.0.1\"}\
             \n  \"digestif\" {= \"1.1.0\"}\
             \n  \"dune\" {= \"2.9.1\"}\
             \n  \"dune-configurator\" {= \"2.9.1\"}\
             \n  \"eqaf\" {= \"0.8\"}\
             \n  \"findlib\" {= \"1.8.1+dune\"}\
             \n  \"ocaml\" {= \"4.13.1\"}\
             \n  \"ocaml-base-compiler\" {= \"4.13.1\"}\
             \n  \"ocaml-compiler-libs\" {= \"v0.12.4\"}\
             \n  \"ocaml-config\" {= \"2\"}\
             \n  \"ocaml-options-vanilla\" {= \"1\"}\
             \n  \"ocaml-syntax-shims\" {= \"1.0.0\"}\
             \n  \"ocamlfind\" {= \"1.8.1+dune\"}\
             \n  \"ppx_derivers\" {= \"1.2.1\"}\
             \n  \"ppx_sexp_conv\" {= \"v0.14.3\"}\
             \n  \"ppxlib\" {= \"0.23.0\"}\
             \n  \"result\" {= \"1.5\"}\
             \n  \"sexplib0\" {= \"v0.14.0\"}\
             \n  \"stdlib-shims\" {= \"0.3.0\"}\
             \n  \"stringext\" {= \"1.6.0\"}\
             \n  \"uri\" {= \"4.2.0\"}\
             \n  \"uri-sexp\" {= \"4.2.0\"}\
             \n]\
             \ndepexts: [\
             \n  [\"devel/pkgconf\"] {os = \"openbsd\"}\
             \n  [\"pkg-config\"] {os-family = \"debian\"}\
             \n  [\"pkg-config\"] {os = \"macos\" & os-distribution = \"homebrew\"}\
             \n  [\"pkgconf\"] {os = \"freebsd\"}\
             \n  [\"pkgconf\"] {os-distribution = \"alpine\"}\
             \n  [\"pkgconf\"] {os-distribution = \"arch\"}\
             \n  [\"pkgconf-pkg-config\"] {os-distribution = \"fedora\"}\
             \n  [\"pkgconf-pkg-config\"] {os-distribution = \"mageia\"}\
             \n  [\"pkgconf-pkg-config\"] {os-distribution = \"centos\" & os-version >= \"8\"}\
             \n  [\"pkgconf-pkg-config\"] {os-distribution = \"ol\" & os-version >= \"8\"}\
             \n  [\"pkgconf-pkg-config\"] {os-distribution = \"rhel\" & os-version >= \"8\"}\
             \n  [\"pkgconfig\"] {os-distribution = \"nixos\"}\
             \n  [\"pkgconfig\"] {os = \"macos\" & os-distribution = \"macports\"}\
             \n  [\"pkgconfig\"] {os-distribution = \"centos\" & os-version <= \"7\"}\
             \n  [\"pkgconfig\"] {os-distribution = \"ol\" & os-version <= \"7\"}\
             \n  [\"pkgconfig\"] {os-distribution = \"rhel\" & os-version <= \"7\"}\
             \n  [\"system:pkgconf\"] {os = \"win32\" & os-distribution = \"cygwinports\"}\
             \n]\
             \npin-depends: [\
             \n  [\
             \n    \"angstrom.0.15.0\"\
             \n    \"https://github.com/inhabitedtype/angstrom/archive/0.15.0.tar.gz\"\
             \n  ]\
             \n  [\
             \n    \"base.v0.14.2\"\
             \n    \"https://github.com/TheLortex/base/archive/v0.14.2+fix-dep.zip\"\
             \n  ]\
             \n  [\
             \n    \"bigarray-compat.1.0.0\"\
             \n    \"https://github.com/mirage/bigarray-compat/archive/v1.0.0.tar.gz\"\
             \n  ]\
             \n  [\
             \n    \"bigstringaf.0.8.0\"\
             \n    \"https://github.com/inhabitedtype/bigstringaf/archive/0.8.0.tar.gz\"\
             \n  ]\
             \n  [\
             \n    \"csexp.1.5.1\"\
             \n    \"https://github.com/ocaml-dune/csexp/releases/download/1.5.1/csexp-1.5.1.tbz\"\
             \n  ]\
             \n  [\
             \n    \"cstruct.6.0.1\"\
             \n    \"https://github.com/mirage/ocaml-cstruct/releases/download/v6.0.1/cstruct-v6.0.1.tbz\"\
             \n  ]\
             \n  [\
             \n    \"digestif.1.1.0\"\
             \n    \"https://github.com/mirage/digestif/releases/download/v1.1.0/digestif-v1.1.0.tbz\"\
             \n  ]\
             \n  [\
             \n    \"dune-configurator.2.9.1\"\
             \n    \"https://github.com/ocaml/dune/releases/download/2.9.1/dune-2.9.1.tbz\"\
             \n  ]\
             \n  [\
             \n    \"eqaf.0.8\"\
             \n    \"https://github.com/mirage/eqaf/releases/download/v0.8/eqaf-v0.8.tbz\"\
             \n  ]\
             \n  [\
             \n    \"findlib.1.8.1+dune\"\
             \n    \"https://github.com/dune-universe/lib-findlib/archive/v1.8.1+dune.tar.gz\"\
             \n  ]\
             \n  [\
             \n    \"ocaml-compiler-libs.v0.12.4\"\
             \n    \"https://github.com/janestreet/ocaml-compiler-libs/releases/download/v0.12.4/ocaml-compiler-libs-v0.12.4.tbz\"\
             \n  ]\
             \n  [\
             \n    \"ocaml-syntax-shims.1.0.0\"\
             \n    \"https://github.com/ocaml-ppx/ocaml-syntax-shims/releases/download/1.0.0/ocaml-syntax-shims-1.0.0.tbz\"\
             \n  ]\
             \n  [\
             \n    \"ocamlfind.1.8.1+dune\"\
             \n    \"https://github.com/dune-universe/lib-findlib/archive/v1.8.1+dune.tar.gz\"\
             \n  ]\
             \n  [\
             \n    \"ppx_derivers.1.2.1\"\
             \n    \"https://github.com/ocaml-ppx/ppx_derivers/archive/1.2.1.tar.gz\"\
             \n  ]\
             \n  [\
             \n    \"ppx_sexp_conv.v0.14.3\"\
             \n    \"https://github.com/janestreet/ppx_sexp_conv/archive/v0.14.3.tar.gz\"\
             \n  ]\
             \n  [\
             \n    \"ppxlib.0.23.0\"\
             \n    \"https://github.com/ocaml-ppx/ppxlib/releases/download/0.23.0/ppxlib-0.23.0.tbz\"\
             \n  ]\
             \n  [\
             \n    \"result.1.5\"\
             \n    \"https://github.com/janestreet/result/releases/download/1.5/result-1.5.tbz\"\
             \n  ]\
             \n  [\
             \n    \"sexplib0.v0.14.0\"\
             \n    \"https://ocaml.janestreet.com/ocaml-core/v0.14/files/sexplib0-v0.14.0.tar.gz\"\
             \n  ]\
             \n  [\
             \n    \"stdlib-shims.0.3.0\"\
             \n    \"https://github.com/ocaml/stdlib-shims/releases/download/0.3.0/stdlib-shims-0.3.0.tbz\"\
             \n  ]\
             \n  [\
             \n    \"stringext.1.6.0\"\
             \n    \"https://github.com/rgrinberg/stringext/releases/download/1.6.0/stringext-1.6.0.tbz\"\
             \n  ]\
             \n  [\
             \n    \"uri.4.2.0\"\
             \n    \"https://github.com/mirage/ocaml-uri/releases/download/v4.2.0/uri-v4.2.0.tbz\"\
             \n  ]\
             \n  [\
             \n    \"uri-sexp.4.2.0\"\
             \n    \"https://github.com/mirage/ocaml-uri/releases/download/v4.2.0/uri-v4.2.0.tbz\"\
             \n  ]\
             \n]\
             \nx-opam-monorepo-duniverse-dirs: [\
             \n  [\"https://github.com/TheLortex/base/archive/v0.14.2+fix-dep.zip\" \"base\"]\
             \n  [\
             \n    \"https://github.com/dune-universe/lib-findlib/archive/v1.8.1+dune.tar.gz\"\
             \n    \"lib-findlib\"\
             \n    [\
             \n      \"sha256=1a337aaedca94837d4d6a1689ed18109e4a2cfd4aa99a56252a6f19fe1291bb0\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/inhabitedtype/angstrom/archive/0.15.0.tar.gz\"\
             \n    \"angstrom\"\
             \n    [\"md5=5104768c404ea92fd0a53a5b0f75cd50\"]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/inhabitedtype/bigstringaf/archive/0.8.0.tar.gz\"\
             \n    \"bigstringaf\"\
             \n    [\"md5=c3b8164c1ed1eba9977dcd0c5490e61d\"]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/janestreet/ocaml-compiler-libs/releases/download/v0.12.4/ocaml-compiler-libs-v0.12.4.tbz\"\
             \n    \"ocaml-compiler-libs\"\
             \n    [\
             \n      \"sha256=4ec9c9ec35cc45c18c7a143761154ef1d7663036a29297f80381f47981a07760\"\
             \n      \"sha512=978dba8dfa61f98fa24fda7a9c26c2e837081f37d1685fe636dc19cfc3278a940cf01a10293504b185c406706bc1008bc54313d50f023bcdea6d5ac6c0788b35\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/janestreet/ppx_sexp_conv/archive/v0.14.3.tar.gz\"\
             \n    \"ppx_sexp_conv\"\
             \n    [\"md5=25caf01245e0113e035ccefe275f85d9\"]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/janestreet/result/releases/download/1.5/result-1.5.tbz\"\
             \n    \"result\"\
             \n    [\"md5=1b82dec78849680b49ae9a8a365b831b\"]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/mirage/bigarray-compat/archive/v1.0.0.tar.gz\"\
             \n    \"bigarray-compat\"\
             \n    [\
             \n      \"md5=1cc7c25382a8900bada34aadfd66632e\"\
             \n      \"sha512=c365fee15582aca35d7b05268cde29e54774ad7df7be56762b4aad78ca1409d4326ad3b34af0f1cc2c7b872837290a9cd9ff43b47987c03bba7bba32fe8a030f\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/mirage/digestif/releases/download/v1.1.0/digestif-v1.1.0.tbz\"\
             \n    \"digestif\"\
             \n    [\
             \n      \"sha256=654b195c668f2d1e35b8b06a8932d058fcc8f4d39e70be58eb2432fbf39afc05\"\
             \n      \"sha512=229218b0a66c9e8809ff960b5bcfb4499bcbdc1da70ca6aff7f4676e51f60c5947516f510f2fe68cee380b0a2aab5a2c270d06da055ca0b583948abce2418845\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/mirage/eqaf/releases/download/v0.8/eqaf-v0.8.tbz\"\
             \n    \"eqaf\"\
             \n    [\
             \n      \"sha256=1145a160107437d7943e02e486df6bd233d3937ec1a597d7fa39edb9471cf875\"\
             \n      \"sha512=303749bdbaae8fc27f57ebaa5cf9b16ed5b8cbaee35f0a35d69f91a437b1a3411a613d145d3aff7ff74a587509d877cc0a569fdae4d00cec65bf50d705361e25\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/mirage/ocaml-cstruct/releases/download/v6.0.1/cstruct-v6.0.1.tbz\"\
             \n    \"ocaml-cstruct\"\
             \n    [\
             \n      \"sha256=4a67bb8f042753453c59eabf0e47865631253ba694091ce6062aac05d47a9bed\"\
             \n      \"sha512=3eeeb6ae0fd3b625cf1d308498f0a1e6951d16566561f3362fdf74e7158d92d8f6c6d9fa968ff15f8c19a1886dce99d0ef17b44dbb37b97cc68c9b088fdc2248\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/mirage/ocaml-uri/releases/download/v4.2.0/uri-v4.2.0.tbz\"\
             \n    \"ocaml-uri\"\
             \n    [\
             \n      \"sha256=c5c013d940dbb6731ea2ee75c2bf991d3435149c3f3659ec2e55476f5473f16b\"\
             \n      \"sha512=119e39bf53db9e94383a4e3a3df492b60b2db097266b3a8660de431ad85bc87997718305972fd2abbfb529973475ce6b210ba5e34d12e85a5dabbb0e24130aa1\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/ocaml-dune/csexp/releases/download/1.5.1/csexp-1.5.1.tbz\"\
             \n    \"csexp\"\
             \n    [\
             \n      \"sha256=d605e4065fa90a58800440ef2f33a2d931398bf2c22061a8acb7df845c0aac02\"\
             \n      \"sha512=d785bbabaff9f6bf601399149ef0a42e5e99647b54e27f97ef1625907793dda22a45bf83e0e8a1eba2c63634c5484b54739ff0904ef556f5fc592efa38af7505\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/ocaml-ppx/ocaml-syntax-shims/releases/download/1.0.0/ocaml-syntax-shims-1.0.0.tbz\"\
             \n    \"ocaml-syntax-shims\"\
             \n    [\
             \n      \"sha256=89b2e193e90a0c168b6ec5ddf6fef09033681bdcb64e11913c97440a2722e8c8\"\
             \n      \"sha512=75c4c6b0bfa1267a8a49a82ba494d08cf0823fc8350863d6d3d4971528cb09e5a2a29e2981d04c75e76ad0f49360b05a432c9efeff9a4fbc1ec6b28960399852\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/ocaml-ppx/ppx_derivers/archive/1.2.1.tar.gz\"\
             \n    \"ppx_derivers\"\
             \n    [\"md5=5dc2bf130c1db3c731fe0fffc5648b41\"]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/ocaml-ppx/ppxlib/releases/download/0.23.0/ppxlib-0.23.0.tbz\"\
             \n    \"ppxlib\"\
             \n    [\
             \n      \"sha256=1b5836c186b9d5a16acf47da94f3968f4f08b519b7729cd86a8fd39971fe12e5\"\
             \n      \"sha512=00352fe61756f5aad5fd89b3cc596b619e5a5cf6808dcb0c197369bfff9f1ba182b4c6e5ea0e67269c9441b7b9b28f2a70d63fb972dfda64fc1a8404f7924753\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/ocaml/dune/releases/download/2.9.1/dune-2.9.1.tbz\"\
             \n    \"dune_\"\
             \n    [\
             \n      \"sha256=b374feb22b34099ccc6dd32128e18d088ff9a81837952b29f05110b308c09f26\"\
             \n      \"sha512=fce1aa520db785c25ded75a959e9dafeb7887d4f5deeb14b044cd5b9e2d235dca24589d794d2f01513765bc4764cf72f8659bd15f3a4fc06efa61363dc5d709b\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/ocaml/stdlib-shims/releases/download/0.3.0/stdlib-shims-0.3.0.tbz\"\
             \n    \"stdlib-shims\"\
             \n    [\
             \n      \"sha256=babf72d3917b86f707885f0c5528e36c63fccb698f4b46cf2bab5c7ccdd6d84a\"\
             \n      \"sha512=1151d7edc8923516e9a36995a3f8938d323aaade759ad349ed15d6d8501db61ffbe63277e97c4d86149cf371306ac23df0f581ec7e02611f58335126e1870980\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://github.com/rgrinberg/stringext/releases/download/1.6.0/stringext-1.6.0.tbz\"\
             \n    \"stringext\"\
             \n    [\
             \n      \"sha256=db41f5d52e9eab17615f110b899dfeb27dd7e7f89cd35ae43827c5119db206ea\"\
             \n      \"sha512=d8ebe40f42b598a9bd99f1ef4b00ba93458385a4accd121af66a0bf3b3f8d7135f576740adf1a43081dd409977c2219fd4bdbb5b3d1308890d301d553ed49900\"\
             \n    ]\
             \n  ]\
             \n  [\
             \n    \"https://ocaml.janestreet.com/ocaml-core/v0.14/files/sexplib0-v0.14.0.tar.gz\"\
             \n    \"sexplib0\"\
             \n    [\"md5=37aff0af8f8f6f759249475684aebdc4\"]\
             \n  ]\
             \n]\
             \nx-opam-monorepo-root-packages: [\"monorepo\"]\
             \nx-opam-monorepo-version: \"0.2\"' >> monorepo.opam"))
 (run (shell "opam pin -n add monorepo . --locked --ignore-pin-depends"))
 (run (network host)
      (shell "opam install -y monorepo"))
 (run (shell "opam pin -n remove monorepo"))
 (run (shell "cp monorepo.opam monorepo.opam.locked"))
 (run (network host)
      (shell "opam exec -- opam monorepo pull -y -l  monorepo.opam.locked"))
 (run (shell  "echo '\
             \n  (library\
             \n   (name monorepo)\
             \n   (public_name monorepo)\
             \n   (libraries \
             \nuri uri-sexp \
             \ndigestif )\
             \n  )\
             \n  ' >> dune"))
 (run (shell "touch monorepo.opam; touch monorepo.ml"))
 (run (shell "find . -type f -name 'dune-project' -exec sed 's/(strict_package_deps)//g' -i {} \\;"))
 (run (shell "opam exec -- dune build --profile release --debug-dependency-path -x freestanding"))
 (run (shell "du -sh _build/"))
)

2021-11-25 10:25.34: Using cache hint "mirage-ci-monorepo-debian-10-ocaml-4.13"
2021-11-25 10:25.34: Waiting for resource in pool OCluster
2021-11-25 10:25.34: Waiting for worker...
2021-11-25 10:25.37: Got resource from pool OCluster
Building on arm64-jade-1.ocamllabs.io

(from ocaml/opam:debian-10-ocaml-4.13)
Unable to find image 'ocaml/opam:debian-10-ocaml-4.13' locally
debian-10-ocaml-4.13: Pulling from ocaml/opam
2ff6d7a9e7d7: Pulling fs layer
9bfc1cf9e325: Pulling fs layer
c35e13cdae6f: Pulling fs layer
2ff6d7a9e7d7: Verifying Checksum
2ff6d7a9e7d7: Download complete
2ff6d7a9e7d7: Pull complete
c35e13cdae6f: Verifying Checksum
c35e13cdae6f: Download complete
9bfc1cf9e325: Verifying Checksum
9bfc1cf9e325: Download complete
9bfc1cf9e325: Pull complete
c35e13cdae6f: Pull complete
Digest: sha256:0b6b68bbf8ae80f9f23b0cc0a8393f8f5b8fb13632e39f94c9c6573eca227e79
Status: Downloaded newer image for ocaml/opam:debian-10-ocaml-4.13
2021-11-25 10:25.37 ---> using "cbba9511e46ef57631453d5b88aeed1ed6de6fa87b6f0dcb3da9328657d73fa4" from cache

/: (user (uid 1000) (gid 1000))

/: (workdir /home/opam)

/home/opam: (run (shell "sudo chown opam:opam /home/opam"))
2021-11-25 10:25.37 ---> using "0afede13af6ea6d75cbfcfb80353059bc4fd4eea40a723ef627f0c4946f2e079" from cache

/home/opam: (run (shell "sudo ln -f /usr/bin/opam-2.1 /usr/bin/opam && opam update"))
This development version of opam requires an update to the layout of /home/opam/.opam from version 2.0 to version 2.1, which can't be reverted.
You may want to back it up before going further.

Continue? [Y/n] y
Format upgrade done.

<><> Updating package repositories ><><><><><><><><><><><><><><><><><><><><><><>
[default] synchronised from file:///home/opam/opam-repository
2021-11-25 10:25.37 ---> using "88933084999984163bc104ca2978b0ba2b9c83ff33e4e30c3b6dae7cb5cde9bc" from cache

/home/opam: (run (network host)
                 (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#03fce0486d9ff1899862edf5b75cbc44adc38393"))
[opam] Initialised
[NOTE] Repository opam has been added to the selections of switch 4.13 only.
       Run `opam repository add opam --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2021-11-25 10:25.37 ---> using "4283964b7c0013a4a28ac69e8a14960d309b96f778a72a13bcf65b9849940db3" from cache

/home/opam: (run (network host)
                 (shell "opam repo add overlays https://github.com/mirage/opam-overlays.git#f033f8b770097e768cc974cc407e0cd6d7889d63"))
[overlays] Initialised
[NOTE] Repository overlays has been added to the selections of switch 4.13 only.
       Run `opam repository add overlays --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2021-11-25 10:25.39 ---> saved as "cf06f9e6e4dd3e8b0518912b3073aac8369e4c42330124b3f494ebcab1256980"

/home/opam: (run (network host)
                 (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#38f1101abd4c7bcd50f0fa0433495e38e383d093"))
[mirage-dev] Initialised
[NOTE] Repository mirage-dev has been added to the selections of switch 4.13 only.
       Run `opam repository add mirage-dev --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

2021-11-25 10:25.41 ---> saved as "9510a94ddf1be08523c324fd67b14583efd39aa211424e79c2ce7def959c5950"

/home/opam: (run (cache (download-cache (target /home/opam/.opam/download-cache)))
                 (network host)
                 (shell "opam install -y ocaml-freestanding"))
The following actions will be performed:
  - install ocaml-src          4.13.1 [required by ocaml-freestanding]
  - install conf-pkg-config    2      [required by solo5]
  - install ocamlfind          1.9.1  [required by ocaml-freestanding]
  - install conf-libseccomp    1      [required by solo5]
  - install solo5              0.7.0  [required by ocaml-freestanding]
  - install ocaml-freestanding 0.7.0
===== 6 to install =====

The following system packages will first need to be installed:
    libseccomp-dev pkg-config

<><> Handling external dependencies <><><><><><><><><><><><><><><><><><><><><><>
Let opam run your package manager to install the required system packages?
(answer 'n' for other options) [Y/n] y
+ /usr/bin/sudo "apt-get" "install" "-qq" "-yy" "libseccomp-dev" "pkg-config"
- debconf: delaying package configuration, since apt-utils is not installed
- Selecting previously unselected package libglib2.0-0:arm64.
- (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 17364 files and directories currently installed.)
- Preparing to unpack .../0-libglib2.0-0_2.58.3-2+deb10u3_arm64.deb ...
- Unpacking libglib2.0-0:arm64 (2.58.3-2+deb10u3) ...
- Selecting previously unselected package libglib2.0-data.
- Preparing to unpack .../1-libglib2.0-data_2.58.3-2+deb10u3_all.deb ...
- Unpacking libglib2.0-data (2.58.3-2+deb10u3) ...
- Selecting previously unselected package libicu63:arm64.
- Preparing to unpack .../2-libicu63_63.1-6+deb10u1_arm64.deb ...
- Unpacking libicu63:arm64 (63.1-6+deb10u1) ...
- Selecting previously unselected package libseccomp-dev:arm64.
- Preparing to unpack .../3-libseccomp-dev_2.3.3-4_arm64.deb ...
- Unpacking libseccomp-dev:arm64 (2.3.3-4) ...
- Selecting previously unselected package libxml2:arm64.
- Preparing to unpack .../4-libxml2_2.9.4+dfsg1-7+deb10u2_arm64.deb ...
- Unpacking libxml2:arm64 (2.9.4+dfsg1-7+deb10u2) ...
- Selecting previously unselected package pkg-config.
- Preparing to unpack .../5-pkg-config_0.29-6_arm64.deb ...
- Unpacking pkg-config (0.29-6) ...
- Selecting previously unselected package shared-mime-info.
- Preparing to unpack .../6-shared-mime-info_1.10-1_arm64.deb ...
- Unpacking shared-mime-info (1.10-1) ...
- Selecting previously unselected package xdg-user-dirs.
- Preparing to unpack .../7-xdg-user-dirs_0.17-2_arm64.deb ...
- Unpacking xdg-user-dirs (0.17-2) ...
- Setting up libseccomp-dev:arm64 (2.3.3-4) ...
- Setting up xdg-user-dirs (0.17-2) ...
- Setting up libglib2.0-0:arm64 (2.58.3-2+deb10u3) ...
- No schema files found: doing nothing.
- Setting up libicu63:arm64 (63.1-6+deb10u1) ...
- Setting up libglib2.0-data (2.58.3-2+deb10u3) ...
- Setting up pkg-config (0.29-6) ...
- Setting up libxml2:arm64 (2.9.4+dfsg1-7+deb10u2) ...
- Setting up shared-mime-info (1.10-1) ...
- Processing triggers for libc-bin (2.28-10) ...

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved ocaml-src.4.13.1  (cached)
-> retrieved ocamlfind.1.9.1  (cached)
-> installed ocaml-src.4.13.1
-> installed conf-pkg-config.2
-> installed conf-libseccomp.1
-> retrieved ocaml-freestanding.0.7.0  (git+https://github.com/TheLortex/ocaml-freestanding.git#9ba5d880d4d6a4b01a552082a51c7761c03e813c)
-> retrieved solo5.0.7.0  (git+https://github.com/TheLortex/solo5.git#77db27433ccd5b1ec13735e8ef1c92e141969a5c)
-> installed ocamlfind.1.9.1
-> installed solo5.0.7.0
-> installed ocaml-freestanding.0.7.0
Done.
# Run eval $(opam env) to update the current shell environment
2021-11-25 10:26.46 ---> saved as "bfc845a8eca3af53fa07a9dca8efa290a208de3f65a52d25a0a22e3aef7d0bab"

/home/opam: (run (cache (download-cache (target /home/opam/.opam/download-cache)))
                 (network host)
                 (shell "opam install -y dune opam-monorepo"))
The following actions will be performed:
  - install dune          2.9.1
  - install opam-monorepo 0.2.7
===== 2 to install =====

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved dune.2.9.1  (cached)
-> retrieved opam-monorepo.0.2.7  (cached)
-> installed dune.2.9.1
-> installed opam-monorepo.0.2.7
Done.
# Run eval $(opam env) to update the current shell environment
2021-11-25 10:27.30 ---> saved as "cdeb708645f5cd614d08b014c8dd08c7a0474796798351829ab1b3586ed8d7b5"

/home/opam: (workdir /src)

/src: (run (shell "sudo chown opam:opam /src"))
2021-11-25 10:27.30 ---> saved as "2520974245a58833e3212656d4a531fcf2641f4fb9779843175ee5d39a7e2600"

/src: (run (shell  "echo 'opam-version: \"2.0\"\
                  \nsynopsis: \"opam-monorepo generated lockfile\"\
                  \nmaintainer: \"opam-monorepo\"\
                  \ndepends: [\
                  \n  \"angstrom\" {= \"0.15.0\"}\
                  \n  \"base\" {= \"v0.14.2\"}\
                  \n  \"base-bigarray\" {= \"base\"}\
                  \n  \"base-bytes\" {= \"base\"}\
                  \n  \"base-threads\" {= \"base\"}\
                  \n  \"base-unix\" {= \"base\"}\
                  \n  \"bigarray-compat\" {= \"1.0.0\"}\
                  \n  \"bigstringaf\" {= \"0.8.0\"}\
                  \n  \"conf-pkg-config\" {= \"2\"}\
                  \n  \"csexp\" {= \"1.5.1\"}\
                  \n  \"cstruct\" {= \"6.0.1\"}\
                  \n  \"digestif\" {= \"1.1.0\"}\
                  \n  \"dune\" {= \"2.9.1\"}\
                  \n  \"dune-configurator\" {= \"2.9.1\"}\
                  \n  \"eqaf\" {= \"0.8\"}\
                  \n  \"findlib\" {= \"1.8.1+dune\"}\
                  \n  \"ocaml\" {= \"4.13.1\"}\
                  \n  \"ocaml-base-compiler\" {= \"4.13.1\"}\
                  \n  \"ocaml-compiler-libs\" {= \"v0.12.4\"}\
                  \n  \"ocaml-config\" {= \"2\"}\
                  \n  \"ocaml-options-vanilla\" {= \"1\"}\
                  \n  \"ocaml-syntax-shims\" {= \"1.0.0\"}\
                  \n  \"ocamlfind\" {= \"1.8.1+dune\"}\
                  \n  \"ppx_derivers\" {= \"1.2.1\"}\
                  \n  \"ppx_sexp_conv\" {= \"v0.14.3\"}\
                  \n  \"ppxlib\" {= \"0.23.0\"}\
                  \n  \"result\" {= \"1.5\"}\
                  \n  \"sexplib0\" {= \"v0.14.0\"}\
                  \n  \"stdlib-shims\" {= \"0.3.0\"}\
                  \n  \"stringext\" {= \"1.6.0\"}\
                  \n  \"uri\" {= \"4.2.0\"}\
                  \n  \"uri-sexp\" {= \"4.2.0\"}\
                  \n]\
                  \ndepexts: [\
                  \n  [\"devel/pkgconf\"] {os = \"openbsd\"}\
                  \n  [\"pkg-config\"] {os-family = \"debian\"}\
                  \n  [\"pkg-config\"] {os = \"macos\" & os-distribution = \"homebrew\"}\
                  \n  [\"pkgconf\"] {os = \"freebsd\"}\
                  \n  [\"pkgconf\"] {os-distribution = \"alpine\"}\
                  \n  [\"pkgconf\"] {os-distribution = \"arch\"}\
                  \n  [\"pkgconf-pkg-config\"] {os-distribution = \"fedora\"}\
                  \n  [\"pkgconf-pkg-config\"] {os-distribution = \"mageia\"}\
                  \n  [\"pkgconf-pkg-config\"] {os-distribution = \"centos\" & os-version >= \"8\"}\
                  \n  [\"pkgconf-pkg-config\"] {os-distribution = \"ol\" & os-version >= \"8\"}\
                  \n  [\"pkgconf-pkg-config\"] {os-distribution = \"rhel\" & os-version >= \"8\"}\
                  \n  [\"pkgconfig\"] {os-distribution = \"nixos\"}\
                  \n  [\"pkgconfig\"] {os = \"macos\" & os-distribution = \"macports\"}\
                  \n  [\"pkgconfig\"] {os-distribution = \"centos\" & os-version <= \"7\"}\
                  \n  [\"pkgconfig\"] {os-distribution = \"ol\" & os-version <= \"7\"}\
                  \n  [\"pkgconfig\"] {os-distribution = \"rhel\" & os-version <= \"7\"}\
                  \n  [\"system:pkgconf\"] {os = \"win32\" & os-distribution = \"cygwinports\"}\
                  \n]\
                  \npin-depends: [\
                  \n  [\
                  \n    \"angstrom.0.15.0\"\
                  \n    \"https://github.com/inhabitedtype/angstrom/archive/0.15.0.tar.gz\"\
                  \n  ]\
                  \n  [\
                  \n    \"base.v0.14.2\"\
                  \n    \"https://github.com/TheLortex/base/archive/v0.14.2+fix-dep.zip\"\
                  \n  ]\
                  \n  [\
                  \n    \"bigarray-compat.1.0.0\"\
                  \n    \"https://github.com/mirage/bigarray-compat/archive/v1.0.0.tar.gz\"\
                  \n  ]\
                  \n  [\
                  \n    \"bigstringaf.0.8.0\"\
                  \n    \"https://github.com/inhabitedtype/bigstringaf/archive/0.8.0.tar.gz\"\
                  \n  ]\
                  \n  [\
                  \n    \"csexp.1.5.1\"\
                  \n    \"https://github.com/ocaml-dune/csexp/releases/download/1.5.1/csexp-1.5.1.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"cstruct.6.0.1\"\
                  \n    \"https://github.com/mirage/ocaml-cstruct/releases/download/v6.0.1/cstruct-v6.0.1.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"digestif.1.1.0\"\
                  \n    \"https://github.com/mirage/digestif/releases/download/v1.1.0/digestif-v1.1.0.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"dune-configurator.2.9.1\"\
                  \n    \"https://github.com/ocaml/dune/releases/download/2.9.1/dune-2.9.1.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"eqaf.0.8\"\
                  \n    \"https://github.com/mirage/eqaf/releases/download/v0.8/eqaf-v0.8.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"findlib.1.8.1+dune\"\
                  \n    \"https://github.com/dune-universe/lib-findlib/archive/v1.8.1+dune.tar.gz\"\
                  \n  ]\
                  \n  [\
                  \n    \"ocaml-compiler-libs.v0.12.4\"\
                  \n    \"https://github.com/janestreet/ocaml-compiler-libs/releases/download/v0.12.4/ocaml-compiler-libs-v0.12.4.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"ocaml-syntax-shims.1.0.0\"\
                  \n    \"https://github.com/ocaml-ppx/ocaml-syntax-shims/releases/download/1.0.0/ocaml-syntax-shims-1.0.0.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"ocamlfind.1.8.1+dune\"\
                  \n    \"https://github.com/dune-universe/lib-findlib/archive/v1.8.1+dune.tar.gz\"\
                  \n  ]\
                  \n  [\
                  \n    \"ppx_derivers.1.2.1\"\
                  \n    \"https://github.com/ocaml-ppx/ppx_derivers/archive/1.2.1.tar.gz\"\
                  \n  ]\
                  \n  [\
                  \n    \"ppx_sexp_conv.v0.14.3\"\
                  \n    \"https://github.com/janestreet/ppx_sexp_conv/archive/v0.14.3.tar.gz\"\
                  \n  ]\
                  \n  [\
                  \n    \"ppxlib.0.23.0\"\
                  \n    \"https://github.com/ocaml-ppx/ppxlib/releases/download/0.23.0/ppxlib-0.23.0.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"result.1.5\"\
                  \n    \"https://github.com/janestreet/result/releases/download/1.5/result-1.5.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"sexplib0.v0.14.0\"\
                  \n    \"https://ocaml.janestreet.com/ocaml-core/v0.14/files/sexplib0-v0.14.0.tar.gz\"\
                  \n  ]\
                  \n  [\
                  \n    \"stdlib-shims.0.3.0\"\
                  \n    \"https://github.com/ocaml/stdlib-shims/releases/download/0.3.0/stdlib-shims-0.3.0.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"stringext.1.6.0\"\
                  \n    \"https://github.com/rgrinberg/stringext/releases/download/1.6.0/stringext-1.6.0.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"uri.4.2.0\"\
                  \n    \"https://github.com/mirage/ocaml-uri/releases/download/v4.2.0/uri-v4.2.0.tbz\"\
                  \n  ]\
                  \n  [\
                  \n    \"uri-sexp.4.2.0\"\
                  \n    \"https://github.com/mirage/ocaml-uri/releases/download/v4.2.0/uri-v4.2.0.tbz\"\
                  \n  ]\
                  \n]\
                  \nx-opam-monorepo-duniverse-dirs: [\
                  \n  [\"https://github.com/TheLortex/base/archive/v0.14.2+fix-dep.zip\" \"base\"]\
                  \n  [\
                  \n    \"https://github.com/dune-universe/lib-findlib/archive/v1.8.1+dune.tar.gz\"\
                  \n    \"lib-findlib\"\
                  \n    [\
                  \n      \"sha256=1a337aaedca94837d4d6a1689ed18109e4a2cfd4aa99a56252a6f19fe1291bb0\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/inhabitedtype/angstrom/archive/0.15.0.tar.gz\"\
                  \n    \"angstrom\"\
                  \n    [\"md5=5104768c404ea92fd0a53a5b0f75cd50\"]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/inhabitedtype/bigstringaf/archive/0.8.0.tar.gz\"\
                  \n    \"bigstringaf\"\
                  \n    [\"md5=c3b8164c1ed1eba9977dcd0c5490e61d\"]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/janestreet/ocaml-compiler-libs/releases/download/v0.12.4/ocaml-compiler-libs-v0.12.4.tbz\"\
                  \n    \"ocaml-compiler-libs\"\
                  \n    [\
                  \n      \"sha256=4ec9c9ec35cc45c18c7a143761154ef1d7663036a29297f80381f47981a07760\"\
                  \n      \"sha512=978dba8dfa61f98fa24fda7a9c26c2e837081f37d1685fe636dc19cfc3278a940cf01a10293504b185c406706bc1008bc54313d50f023bcdea6d5ac6c0788b35\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/janestreet/ppx_sexp_conv/archive/v0.14.3.tar.gz\"\
                  \n    \"ppx_sexp_conv\"\
                  \n    [\"md5=25caf01245e0113e035ccefe275f85d9\"]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/janestreet/result/releases/download/1.5/result-1.5.tbz\"\
                  \n    \"result\"\
                  \n    [\"md5=1b82dec78849680b49ae9a8a365b831b\"]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/mirage/bigarray-compat/archive/v1.0.0.tar.gz\"\
                  \n    \"bigarray-compat\"\
                  \n    [\
                  \n      \"md5=1cc7c25382a8900bada34aadfd66632e\"\
                  \n      \"sha512=c365fee15582aca35d7b05268cde29e54774ad7df7be56762b4aad78ca1409d4326ad3b34af0f1cc2c7b872837290a9cd9ff43b47987c03bba7bba32fe8a030f\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/mirage/digestif/releases/download/v1.1.0/digestif-v1.1.0.tbz\"\
                  \n    \"digestif\"\
                  \n    [\
                  \n      \"sha256=654b195c668f2d1e35b8b06a8932d058fcc8f4d39e70be58eb2432fbf39afc05\"\
                  \n      \"sha512=229218b0a66c9e8809ff960b5bcfb4499bcbdc1da70ca6aff7f4676e51f60c5947516f510f2fe68cee380b0a2aab5a2c270d06da055ca0b583948abce2418845\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/mirage/eqaf/releases/download/v0.8/eqaf-v0.8.tbz\"\
                  \n    \"eqaf\"\
                  \n    [\
                  \n      \"sha256=1145a160107437d7943e02e486df6bd233d3937ec1a597d7fa39edb9471cf875\"\
                  \n      \"sha512=303749bdbaae8fc27f57ebaa5cf9b16ed5b8cbaee35f0a35d69f91a437b1a3411a613d145d3aff7ff74a587509d877cc0a569fdae4d00cec65bf50d705361e25\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/mirage/ocaml-cstruct/releases/download/v6.0.1/cstruct-v6.0.1.tbz\"\
                  \n    \"ocaml-cstruct\"\
                  \n    [\
                  \n      \"sha256=4a67bb8f042753453c59eabf0e47865631253ba694091ce6062aac05d47a9bed\"\
                  \n      \"sha512=3eeeb6ae0fd3b625cf1d308498f0a1e6951d16566561f3362fdf74e7158d92d8f6c6d9fa968ff15f8c19a1886dce99d0ef17b44dbb37b97cc68c9b088fdc2248\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/mirage/ocaml-uri/releases/download/v4.2.0/uri-v4.2.0.tbz\"\
                  \n    \"ocaml-uri\"\
                  \n    [\
                  \n      \"sha256=c5c013d940dbb6731ea2ee75c2bf991d3435149c3f3659ec2e55476f5473f16b\"\
                  \n      \"sha512=119e39bf53db9e94383a4e3a3df492b60b2db097266b3a8660de431ad85bc87997718305972fd2abbfb529973475ce6b210ba5e34d12e85a5dabbb0e24130aa1\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/ocaml-dune/csexp/releases/download/1.5.1/csexp-1.5.1.tbz\"\
                  \n    \"csexp\"\
                  \n    [\
                  \n      \"sha256=d605e4065fa90a58800440ef2f33a2d931398bf2c22061a8acb7df845c0aac02\"\
                  \n      \"sha512=d785bbabaff9f6bf601399149ef0a42e5e99647b54e27f97ef1625907793dda22a45bf83e0e8a1eba2c63634c5484b54739ff0904ef556f5fc592efa38af7505\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/ocaml-ppx/ocaml-syntax-shims/releases/download/1.0.0/ocaml-syntax-shims-1.0.0.tbz\"\
                  \n    \"ocaml-syntax-shims\"\
                  \n    [\
                  \n      \"sha256=89b2e193e90a0c168b6ec5ddf6fef09033681bdcb64e11913c97440a2722e8c8\"\
                  \n      \"sha512=75c4c6b0bfa1267a8a49a82ba494d08cf0823fc8350863d6d3d4971528cb09e5a2a29e2981d04c75e76ad0f49360b05a432c9efeff9a4fbc1ec6b28960399852\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/ocaml-ppx/ppx_derivers/archive/1.2.1.tar.gz\"\
                  \n    \"ppx_derivers\"\
                  \n    [\"md5=5dc2bf130c1db3c731fe0fffc5648b41\"]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/ocaml-ppx/ppxlib/releases/download/0.23.0/ppxlib-0.23.0.tbz\"\
                  \n    \"ppxlib\"\
                  \n    [\
                  \n      \"sha256=1b5836c186b9d5a16acf47da94f3968f4f08b519b7729cd86a8fd39971fe12e5\"\
                  \n      \"sha512=00352fe61756f5aad5fd89b3cc596b619e5a5cf6808dcb0c197369bfff9f1ba182b4c6e5ea0e67269c9441b7b9b28f2a70d63fb972dfda64fc1a8404f7924753\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/ocaml/dune/releases/download/2.9.1/dune-2.9.1.tbz\"\
                  \n    \"dune_\"\
                  \n    [\
                  \n      \"sha256=b374feb22b34099ccc6dd32128e18d088ff9a81837952b29f05110b308c09f26\"\
                  \n      \"sha512=fce1aa520db785c25ded75a959e9dafeb7887d4f5deeb14b044cd5b9e2d235dca24589d794d2f01513765bc4764cf72f8659bd15f3a4fc06efa61363dc5d709b\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/ocaml/stdlib-shims/releases/download/0.3.0/stdlib-shims-0.3.0.tbz\"\
                  \n    \"stdlib-shims\"\
                  \n    [\
                  \n      \"sha256=babf72d3917b86f707885f0c5528e36c63fccb698f4b46cf2bab5c7ccdd6d84a\"\
                  \n      \"sha512=1151d7edc8923516e9a36995a3f8938d323aaade759ad349ed15d6d8501db61ffbe63277e97c4d86149cf371306ac23df0f581ec7e02611f58335126e1870980\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://github.com/rgrinberg/stringext/releases/download/1.6.0/stringext-1.6.0.tbz\"\
                  \n    \"stringext\"\
                  \n    [\
                  \n      \"sha256=db41f5d52e9eab17615f110b899dfeb27dd7e7f89cd35ae43827c5119db206ea\"\
                  \n      \"sha512=d8ebe40f42b598a9bd99f1ef4b00ba93458385a4accd121af66a0bf3b3f8d7135f576740adf1a43081dd409977c2219fd4bdbb5b3d1308890d301d553ed49900\"\
                  \n    ]\
                  \n  ]\
                  \n  [\
                  \n    \"https://ocaml.janestreet.com/ocaml-core/v0.14/files/sexplib0-v0.14.0.tar.gz\"\
                  \n    \"sexplib0\"\
                  \n    [\"md5=37aff0af8f8f6f759249475684aebdc4\"]\
                  \n  ]\
                  \n]\
                  \nx-opam-monorepo-root-packages: [\"monorepo\"]\
                  \nx-opam-monorepo-version: \"0.2\"' >> monorepo.opam"))
2021-11-25 10:27.31 ---> saved as "85d41a3313fa3d56ef7b05a05134bdcc516bf3596cec9aef15d3bf5e00690cd2"

/src: (run (shell "opam pin -n add monorepo . --locked --ignore-pin-depends"))
Package monorepo does not exist, create as a NEW package? [Y/n] y
[monorepo.~dev] synchronised (file:///src)
[WARNING] Failed checks on monorepo package definition from source at file:///src:
           warning 25: Missing field 'authors'
           warning 35: Missing field 'homepage'
           warning 36: Missing field 'bug-reports'
           warning 47: Synopsis (or description first line) should start with a capital and not end with a dot
monorepo is now pinned to file:///src (version ~dev)
2021-11-25 10:27.35 ---> saved as "221d033651716ea03b8d11e786d9e77f888af755c62a277f6918a1b0fc1f6a64"

/src: (run (network host)
           (shell "opam install -y monorepo"))

<><> Synchronising pinned packages ><><><><><><><><><><><><><><><><><><><><><><>
[monorepo.~dev] synchronised (no changes)

The following actions will be performed:
  - install   sexplib0            v0.14.0             [required by monorepo]
  - install   ppx_derivers        1.2.1               [required by monorepo]
  - install   csexp               1.5.1               [required by monorepo]
  - install   result              1.5                 [required by monorepo]
  - install   ocaml-syntax-shims  1.0.0               [required by monorepo]
  - install   ocaml-compiler-libs v0.12.4             [required by monorepo]
  - install   bigarray-compat     1.0.0               [required by monorepo]
  - install   stdlib-shims        0.3.0               [required by monorepo]
  - install   dune-configurator   2.9.1               [required by monorepo]
  - install   cstruct             6.0.1               [required by monorepo]
  - install   bigstringaf         0.8.0               [required by monorepo]
  - install   ppxlib              0.23.0              [required by monorepo]
  - install   findlib             1.8.1+dune          [required by monorepo]
  - install   base                v0.14.2             [required by monorepo]
  - install   eqaf                0.8                 [required by monorepo]
  - install   angstrom            0.15.0              [required by monorepo]
  - downgrade ocamlfind           1.9.1 to 1.8.1+dune [required by monorepo]
  - install   ppx_sexp_conv       v0.14.3             [required by monorepo]
  - install   base-bytes          base                [required by monorepo]
  - install   stringext           1.6.0               [required by monorepo]
  - install   digestif            1.1.0               [required by monorepo]
  - install   uri                 4.2.0               [required by monorepo]
  - install   uri-sexp            4.2.0               [required by monorepo]
  - install   monorepo            ~dev*
===== 23 to install | 1 to downgrade =====

<><> Processing actions <><><><><><><><><><><><><><><><><><><><><><><><><><><><>
-> retrieved bigarray-compat.1.0.0  (https://github.com/mirage/bigarray-compat/archive/v1.0.0.tar.gz)
-> retrieved base.v0.14.2  (https://github.com/TheLortex/base/archive/v0.14.2+fix-dep.zip)
-> retrieved angstrom.0.15.0  (https://github.com/inhabitedtype/angstrom/archive/0.15.0.tar.gz)
-> retrieved bigstringaf.0.8.0  (https://github.com/inhabitedtype/bigstringaf/archive/0.8.0.tar.gz)
-> installed bigarray-compat.1.0.0
-> retrieved cstruct.6.0.1  (https://github.com/mirage/ocaml-cstruct/releases/download/v6.0.1/cstruct-v6.0.1.tbz)
-> installed bigstringaf.0.8.0
-> retrieved csexp.1.5.1  (https://github.com/ocaml-dune/csexp/releases/download/1.5.1/csexp-1.5.1.tbz)
-> retrieved digestif.1.1.0  (https://github.com/mirage/digestif/releases/download/v1.1.0/digestif-v1.1.0.tbz)
-> installed csexp.1.5.1
-> retrieved eqaf.0.8  (https://github.com/mirage/eqaf/releases/download/v0.8/eqaf-v0.8.tbz)
-> installed cstruct.6.0.1
-> retrieved monorepo.~dev  (file:///src)
-> retrieved findlib.1.8.1+dune  (https://github.com/dune-universe/lib-findlib/archive/v1.8.1+dune.tar.gz)
-> retrieved ocaml-compiler-libs.v0.12.4  (https://github.com/janestreet/ocaml-compiler-libs/releases/download/v0.12.4/ocaml-compiler-libs-v0.12.4.tbz)
-> retrieved ocamlfind.1.8.1+dune  (cached)
-> retrieved dune-configurator.2.9.1  (https://github.com/ocaml/dune/releases/download/2.9.1/dune-2.9.1.tbz)
-> installed eqaf.0.8
-> retrieved ocaml-syntax-shims.1.0.0  (https://github.com/ocaml-ppx/ocaml-syntax-shims/releases/download/1.0.0/ocaml-syntax-shims-1.0.0.tbz)
-> retrieved ppx_derivers.1.2.1  (https://github.com/ocaml-ppx/ppx_derivers/archive/1.2.1.tar.gz)
-> installed ppx_derivers.1.2.1
-> retrieved result.1.5  (https://github.com/janestreet/result/releases/download/1.5/result-1.5.tbz)
-> installed ocaml-compiler-libs.v0.12.4
-> retrieved ppxlib.0.23.0  (https://github.com/ocaml-ppx/ppxlib/releases/download/0.23.0/ppxlib-0.23.0.tbz)
-> retrieved ppx_sexp_conv.v0.14.3  (https://github.com/janestreet/ppx_sexp_conv/archive/v0.14.3.tar.gz)
-> removed   ocamlfind.1.9.1
-> installed result.1.5
-> installed ocaml-syntax-shims.1.0.0
-> retrieved sexplib0.v0.14.0  (https://ocaml.janestreet.com/ocaml-core/v0.14/files/sexplib0-v0.14.0.tar.gz)
-> retrieved stdlib-shims.0.3.0  (https://github.com/ocaml/stdlib-shims/releases/download/0.3.0/stdlib-shims-0.3.0.tbz)
-> retrieved stringext.1.6.0  (https://github.com/rgrinberg/stringext/releases/download/1.6.0/stringext-1.6.0.tbz)
-> installed angstrom.0.15.0
-> installed sexplib0.v0.14.0
-> installed stdlib-shims.0.3.0
-> retrieved uri.4.2.0  (https://github.com/mirage/ocaml-uri/releases/download/v4.2.0/uri-v4.2.0.tbz)
-> retrieved uri-sexp.4.2.0  (https://github.com/mirage/ocaml-uri/releases/download/v4.2.0/uri-v4.2.0.tbz)
-> installed dune-configurator.2.9.1
-> installed findlib.1.8.1+dune
-> installed ocamlfind.1.8.1+dune
-> installed base-bytes.base
-> installed stringext.1.6.0
-> installed base.v0.14.2
-> installed uri.4.2.0
-> installed digestif.1.1.0
-> installed ppxlib.0.23.0
-> installed ppx_sexp_conv.v0.14.3
-> installed uri-sexp.4.2.0
-> installed monorepo.~dev
Done.
# Run eval $(opam env) to update the current shell environment
2021-11-25 10:28.17 ---> saved as "139ac2bda0c1cff5d3f2bb4f7800ab0c9d3b25b041f5c531cf57e7dddf37eacd"

/src: (run (shell "opam pin -n remove monorepo"))
Ok, monorepo is no longer pinned to file:///src (version ~dev)
2021-11-25 10:28.18 ---> saved as "c278626a7183115aedac928eb968931a1fada24056edb8826ffdda2978444f6a"

/src: (run (shell "cp monorepo.opam monorepo.opam.locked"))
2021-11-25 10:28.18 ---> saved as "08a74a7262488fc08da58be000ead4fadbee88e0dd4106f7b65f316c0ad150e7"

/src: (run (network host)
           (shell "opam exec -- opam monorepo pull -y -l  monorepo.opam.locked"))
==> Using lockfile monorepo.opam.locked
Successfully pulled 20/20 repositories
2021-11-25 10:28.20 ---> saved as "b02e74b00450aaa4dad5852a0330477d3aaa37a31c85cf322bd635b8072722d1"

/src: (run (shell  "echo '\
                  \n  (library\
                  \n   (name monorepo)\
                  \n   (public_name monorepo)\
                  \n   (libraries \
                  \nuri uri-sexp \
                  \ndigestif )\
                  \n  )\
                  \n  ' >> dune"))
2021-11-25 10:28.20 ---> saved as "86c6ae74a5862c02699bdc9d01d84f81ef20006bc5f34161e0ac1ce8d3ac7a91"

/src: (run (shell "touch monorepo.opam; touch monorepo.ml"))
2021-11-25 10:28.21 ---> saved as "b21c1df1fadeaf8d0bc15aa1fbfd5a65d45f47ce83365f215cbdac224b1494ce"

/src: (run (shell "find . -type f -name 'dune-project' -exec sed 's/(strict_package_deps)//g' -i {} \\;"))
2021-11-25 10:28.22 ---> saved as "2fcfa68d500ef16efb5219a96d7694131179a3f3ac9cd2a50de0c40c0da880c2"

/src: (run (shell "opam exec -- dune build --profile release --debug-dependency-path -x freestanding"))
Info: Creating file dune-project with this contents:
| (lang dune 2.9)
| (name monorepo)
Error: ocamlfind toolchain freestanding isn't defined in /src/.d (context:
default.freestanding)
"/bin/bash" "-c"
"opam exec -- dune build --profile release --debug-dependency-path -x freestanding" failed with exit status 1
2021-11-25 10:28.23: Job failed: Failed: Build failed